EnderDash

Create Contact Point

POST
/alerts/createContactPoint

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
Length1 <= length
organizationSlug?string
Length1 <= length
enabled?boolean
Defaulttrue
name*string
Length1 <= length <= 120
target*string
Length3 <= length <= 2000
type*string

Value in

  • "email"
  • "webhook"
  • "discord"
  • "chat"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/alerts/createContactPoint" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "target": "string",    "type": "email"  }'
null